-- sql for pdf customer invoices

INSERT INTO orders_status VALUES ( '11', '3', 'Factura', '1', '1');

INSERT INTO `configuration_group` VALUES (NULL, 'Facturas PDF', 'Opciones para configurar facturas PDF', NULL, 1);

UPDATE configuration_group SET sort_order=last_insert_id() WHERE configuration_group_id=last_insert_id();

INSERT INTO `configuration` VALUES 

('', 'Logotipo', 'PDF_INVOICE_IMAGE', 'images/sample_logo.png', 'Ruta y nombre de la tienda para insertar el logotipo en formato PDF<br>Dimensiones maximas 600x180 px<br>Formatos validos: jpg, gif, png<br>El logo suministrado por defecto se introduce aqui', last_insert_id(), 1, '2007-07-26 20:41:38', '2007-07-25 20:00:00', NULL, ''), 

('', 'Tipo de letra', 'PDF_INV_CORE_FONT', 'arial', 'Elija un tipo de letra para la factura PDF<br>Arial<br>Times<br>Courier<br>Helvetica', last_insert_id(), 2, '2007-07-25 20:00:00', '2007-07-25 20:00:00', NULL, 'tep_cfg_select_option(array(''arial'', ''times'',''courier'',''helvetica''),'), 

('', 'Mostrar impuestos', 'DISPLAY_PDF_TAX_NUMBER', 'false', 'Quieres mostrar los impuestos en la factura? [por defecto = false]', last_insert_id(), 3, '2007-07-26 20:01:07', '2007-07-25 20:00:00', '', 'tep_cfg_select_option(array(''false'', ''true''),'), 

('', 'Ajuste de la descripcion del IVA', 'PDF_TAX_NAME', 'Numero IVA:', 'Elija una descripcion para el prefijo del IVA<br>[por defecto = Numero IVA:]', last_insert_id(), 4, '2007-07-25 20:00:00', '2007-07-25 20:00:00', NULL, ''), 

('', 'Numero IVA', 'PDF_TAX_NUMBER', '', 'Introduzca su numero de IVA aqui', last_insert_id(), 5, '2007-07-26 20:01:27', '2007-07-25 20:00:00', NULL, ''), 

('', 'Forzar descarga PDF', 'FORCE_PDF_INVOICE_DOWNLOAD', 'false', 'Elija como desea generar la factura para mostrar al cliente<br>online - abrir con el navegador usando un plugin [por defecto = false ]<br>descarga - forzar al navegador para la descarga en PDF [establecer en true para habilitar]', last_insert_id(), 6, '2007-07-26 last_insert_id():19:45', '2007-07-25 20:00:00', NULL, 'tep_cfg_select_option(array(''false'', ''true''),'), 

('', 'Mostrar marca de agua', 'PDF_SHOW_WATERMARK', 'false', 'Le gustaria mostrar una marca de agua en la factura? [por defecto = false]', last_insert_id(), 7, '2007-07-25 20:00:00', '2007-07-25 20:00:00', '', 'tep_cfg_select_option(array(''false'', ''true''),'), 
('', 'Ajustar texto de marca de agua', 'PDF_INV_WATERMARK_TEXT', 'Copia Factura', 'Texto de la marca de agua [por defecto = "Copia Factura" ]', last_insert_id(), 8, '2007-07-25 20:00:00', '2007-07-25 20:00:00', NULL, ''), 

('', 'Ajustar color marca de agua', 'PDF_INV_WATERMARK_COLOR', '#f3f3f3', 'Elegir un color que sea palido para la marca de agua<br>Se incluye un color por defecto<br>Introduzca como numero de seis caracteres, con o sin almohadilla (#)<br>Ejem. amarillo #ffff00 o ffff00', last_insert_id(), 9, '2007-07-25 20:00:00', '2007-07-25 20:00:00', NULL, ''),

('', 'Color del borde', 'PDF_INV_BORDER_COLOR', '#333333', 'Elegir un color para el borde de la factura<br>Se incluye un color por defecto<br>Introduzca como numero de seis caracteres, con o sin almohadilla (#)<br>Ejem. amarillo #ffff00 o ffff00', last_insert_id(), 10, '2007-07-25 20:00:00', '2007-07-25 20:00:00', NULL, ''), 

('', 'Color del texto', 'PDF_INV_HIGHLIGHT_COLOR', '#cc0033', 'Elegir un color para el texto<br>Se incluye un color por defecto<br>Introduzca como numero de seis caracteres, con o sin almohadilla (#)<br>Ejem. amarillo #ffff00 o ffff00', last_insert_id(), 11, '2007-07-25 20:00:00', '2007-07-25 20:00:00', NULL, ''), 

('', 'Color de las cajas', 'PDF_INV_CELL_COLOR', '#f3f3f3', 'Elegir un color para las cajas<br>Se incluye un color por defecto<br>Introduzca como numero de seis caracteres, con o sin almohadilla (#)<br>Ejem. amarillo #ffff00 o ffff00', last_insert_id(), 12, '2007-07-25 20:00:00', '2007-07-25 20:00:00', NULL, ''), 

('', 'Color del texto standard', 'PDF_INV_STANDARD_COLOR', '#000000', 'Elegir un color para el texto de una factura normal<br>Se incluye un color por defecto<br>Introduzca como numero de seis caracteres, con o sin almohadilla (#)<br>Ejem. amarillo #ffff00 o ffff00', last_insert_id(), 13, '2007-07-25 20:00:00', '2007-07-25 20:00:00', NULL, ''), 

('', 'Linea de color', 'PDF_INV_INVLINE_COLOR', '#808080', 'Elegir un color para la linea separadora de texto<br>Se incluye un color por defecto<br>Introduzca como numero de seis caracteres, con o sin almohadilla (#)<br>Ejem. amarillo #ffff00 o ffff00', last_insert_id(), 14, '2007-07-25 20:00:00', '2007-07-25 20:00:00', NULL, ''), 

('', 'Texto pie de pagina', 'PDF_INV_FOOTER_TEXT', 'Gracias por su compra', 'Elegir un texto (ejem. marketing) para el pie de pagina de las facturas', last_insert_id(), 15, '2007-07-26 16:08:34', '0000-00-00 00:00:00', NULL, ''), 

('', 'Factor correccion imagen', 'PDF_INV_IMG_CORRECTION', '0.18', 'Ajustar el valor al ajustar el tamao de la imagen', last_insert_id(), 16, '2007-07-26 16:08:34', '0000-00-00 00:00:00', NULL, ''),

('', 'Mostrar solo facturas emitidas', 'DISPLAY_PDF_FACTURA_ONLY', 'true', 'Le gustara mostrar un enlace a la factura PDF solo si el estado del pedido es Factura? [por defecto = true]', last_insert_id(), 17, '2007-07-26 20:01:07', '2007-07-25 20:00:00', '', 'tep_cfg_select_option(array(''false'', ''true''),'),

('', 'Fecha de facturacion', 'PDF_INV_DATE_TODAY', 'today', 'Quieres que la fecha de la factura sea del dia de hoy o de la fecha de pedido? [por defecto = today]', last_insert_id(), 18, '2007-07-26 20:01:07', '2007-07-25 20:00:00', '', 'tep_cfg_select_option(array(''today'', ''order''),'),

('', 'Lineas de Productos Pagina 1', 'PDF_INV_NUM_ITEMS_PAGE_1', '20', 'Ajusta el numero de lineas de productos que se desea que haya en la primera pagina del pedido o factura', last_insert_id(), 19, '0000-00-00 00:00:00', '2009-03-01 18:10:45', NULL, ''),

('', 'Lineas de Productos Pagina 2 y sucesivas', 'PDF_INV_NUM_ITEMS_PAGE_2', '32', 'Ajusta el numero de lineas de productos que se desea que haya en la segunda pagina y en las sucesivas del pedido o factura', last_insert_id(), 20, '0000-00-00 00:00:00', '2009-03-01 18:10:45', NULL, '');